Get MX records corresponding to a given Internet host name

- « gethostname

- getprotobyname »

- PHP Manual
- Network Functions
- Get MX records corresponding to a given Internet host name

# getmxrr

(PHP 4, PHP 5, PHP 7, PHP 8)

getmxrr — Get MX records corresponding to a given Internet host name

### Description

getmxrr(string `$hostname`, array `&$hosts`, array `&$weights` = `null`): bool

Searches DNS for MX records corresponding to `hostname`.

### Parameters

`hostname`

  The Internet host name.

`hosts`

  A list of the MX records found is placed into the array `hosts`.

`weights`

  If the `weights` array is given, it will be filled with the weight information gathered.

### Return Values

Returns `true` if any records are found; returns `false` if no records were found or if an error occurred.

### Notes

> Note:

> This function should not be used for the purposes of address verification. Only the mailexchangers found in DNS are returned, however, according to » RFC 2821 when no mail exchangers are listed, `hostname` itself should be used as the only mail exchanger with a priority of `0`.

> Note:

> For compatibility with Windows before this was implemented, then try the » PEAR class » Net_DNS.

### See Also

- checkdnsrr() - Check DNS records corresponding to a given Internet host name or IP address
- dns_get_record() - Fetch DNS Resource Records associated with a hostname
- gethostbyname() - Get the IPv4 address corresponding to a given Internet host name
- gethostbynamel() - Get a list of IPv4 addresses corresponding to a given Internet host name
- gethostbyaddr() - Get the Internet host name corresponding to a given IP address
- the `named(8)` manual page